Bug 242332 - mailman upgrade blows away mm_cfg.py
mailman upgrade blows away mm_cfg.py
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Smetana
Depends On:
  Show dependency treegraph
Reported: 2007-06-03 08:49 EDT by Jonathan Kamens
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-08 06:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-06-03 08:49:46 EDT
I have customizations in /etc/mailman/mm_cfg.py, below the comment that says
"Put YOUR site-specific configuration below."  I just upgraded to
mailman-2.1.9-6, and it erased my customizations, without creating a rpmsave or
rpmnew file.
Comment 1 Tomas Smetana 2007-06-04 07:54:41 EDT
It's strange -- mm_cfg.py is listed with %config(noreplace). I'll take a look at
it. Thanks for reporting.
Comment 2 Tomas Smetana 2007-06-06 07:30:42 EDT
I've tried the update from 2.1.9-5 to 2.1.9-6 and the contens of mm_cfg.py was
preserved. Also no changes that would explain the issue were made in the 2.1.9-6
spec file and this was never reported before. I'll try to do some more tests,
but it looks as "WORKSFORME" by now.
Comment 3 Tomas Smetana 2007-06-20 07:49:53 EDT
After performing few more upgrades I still could not reproduce the issue. Do you
remember from which version did you upgrade?
Comment 4 Jonathan Kamens 2007-06-27 03:47:08 EDT
I believe it was 2.1.9-5.
Comment 5 Tomas Smetana 2007-08-08 06:57:25 EDT
I really was not able to reproduce this. Sorry. Feel free to reopen if you find
out the exact conditions under which the problem occurs.

Note You need to log in before you can comment on or make changes to this bug.